PRBOOM-GAME-SERVER(6)

NAME
prboom-game-server - Server for network games of PrBoom.

SYNOPSIS
prboom-game-server [ -adfnrv ] [ -e epis ] [ -l level ] [ -t ticdup ] [ -x xtics ] [ -p port ] [ -s skill ] [ -N players ] [ -c conffilename ] [ -w wadname[,dl_url ]]

DESCRIPTION

PrBoom is a version of the 3D shoot'em'up Doom, originally by id software. It includes, amongst other things, the ability to play with several players connected by a tcp/ip network. prboom-game-server is the `server', that is the program that passes data between the different players in the game.

To start a network game (often abbreviated to `netgame'), first the server is started. prboom-game-server accepts various parameters to control the type of game (the skill level, number of players, level to play, optional WAD file(s) to load, etc).

Then each player that wishes to participate runs prboom -net hostname, where hostname is the name of the machine on which the server is running. Each copy of prboom retrieves information about the game from the server, and when the specified number of players have joined, the game begins.

Options

-N players
    Specifies the number of players in the game (default 2). The server will wait for this many players to join before starting the game.

-e epis
    The episode to play (default 1). Unless you are playing Doom 1 or Ultimate Doom, and wish to play one of the later episodes, you do not need to change this.

-l level
    The level to play (default 1).

-s skill
    Specify the skill level to play (1-5).

-d  Set game mode to (old) deathmatch (default is cooperative). See the original Doom docs for information about the different network game modes.

-a  Set game mode to `altdeath' (v2 deathmatch) (default is cooperative). See the original Doom docs for information about the different network game modes.

-f  Select fast mode (monsters move faster).

-n  Selects nomonsters mode, i.e. there are no monsters in the game.

-r  Respawn mode. If you don't know what this is, you don't want to ;-).

-c conffilename
    Specifies a configuration file to read which sets parameters for the game. This is in the same format as the PrBoom configuration file (in fact, you can ask it to read your normal PrBoom configuration file if you want). Only certain settings are acknowledged: default_skill, default_compatibility_level, the compatibility options and some of the game settings (use -v to have the server print the options as it recognises them).

-w wadname[,dl_url]
    Specifies a WAD file to play. This is added to the internal list that the server keeps. When a client connects, the server sends the list of WADs; PrBoom will then add this to the list of WADs specified on its command line. Optionally, an url to the file can be given too; if when PrBoom connects it cannot find the named WAD, it will attempt to retrieve the file from the given url, extracting it if necessary. See prboom(1) for information about the supported url types and compression formats.

-t ticdup
    Reserved.

-x xtics
    This causes extra information to be sent with each network packet; this will help on networks with high packet loss, but will use more bandwidth.

-p port
    Tells prboom-game-server what port number to communicate via (default 5030). Note that if you change this from the default, then all the clients will also need to specify this number when they try to connect (the default programmed into prboom is also 5030).

-v  Increases verbosity level; causes more diagnostics to be printed, the more times -v is specified.

More Information
prboom(6), boom.cfg(5)

For more information, see the README that came with PrBoom.

Doom is a registered trademark of id software (http://www.idsoftware.com/).

Author
See the file AUTHORS included with the PrBoom distribution. This man page was written by Colin Phipps (cph@moria.org.uk).